Skip to main content
POST
/
reports
/
{report_id}
/
runs
Creates a report run
curl --request POST \
  --url https://api.myeasol.com/reports/{report_id}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "column_ids": [
    "<string>"
  ],
  "interval_start": "<string>",
  "interval_end": "<string>",
  "search_query": "<string>",
  "export_format": "csv"
}
'
{
  "data": {
    "id": "<string>",
    "report_id": "<string>",
    "state": "<string>",
    "result": "<string>",
    "column_ids": [
      "<string>"
    ],
    "search_query": "<string>",
    "last_updated_since": "<string>",
    "interval_start": "<string>",
    "interval_end": "<string>",
    "filters": {},
    "export_format": "csv"
  }
}
A report run is the specific instance you create when fetching data from a report via the API. You can use this endpoint to create a new report run, specifying any columns, what interval or a search term that you want to filter for in the output.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

report_id
string
required

Body

application/json
column_ids
string[]
interval_start
string<date_time>
interval_end
string<date_time>
search_query
string
export_format
enum<string>
default:csv

Export format for the report

Available options:
csv,
json

Response

successful

data
object